%define _name netspeed_applet

Name: gnome-applets-extra-netspeed
Version: 0.9
Release: alt1

Summary: Applet that shows traffic on a network device
Summary (ru_RU.UTF-8): Индикатор скорости обмена данными
License: GPL
Group: Graphical desktop/GNOME
Url: http://mfcn.ilo.de/netspeed_applet/
Source0: %_name-%version.tar.gz
Source1: %_name-0.9-ru.po

%define libgtop_ver 2.0.5
Requires: libgtop2 >= %libgtop_ver
BuildPreReq: libgtop2-devel >= %libgtop_ver

# Automatically added by buildreq on Mon Sep 15 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgdbm-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libIDL-devel libart_lgpl-devel libatk-devel libalsa-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgdbm-devel libglade2-devel libgnome-devel libgnome-panel-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig rootfiles zlib-devel

%description
netspeed_applet is a little GNOME applet that shows the traffic on a
specified network device (for example eth0) in kbytes/s.

%description -l ru_RU.UTF-8
Небольшой апплет для панели GNOME, показывающий статистические данные
о потоке данных, проходящих через заданный сетевой интерфейс (например eth0).

%define _libexecdir %_libdir/gnome-panel-2.0/applets

%prep
%setup -q -n %_name-%version
%__cat %SOURCE1 > po/ru.po

%build
%configure
%make_build

%install
%makeinstall
%find_lang --with-gnome %_name

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %_name.lang
%_libexecdir/%{_name}2
%_libdir/bonobo/servers/*
%_datadir/pixmaps/*
%doc AUTHORS ChangeLog README TODO

%changelog
* Mon Sep 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9-alt1
- new version

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5-alt3
- Rebuild with new libgtop (2.0.4).

* Sun Jul 06 2003 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt2
- Fix deps

* Mon Nov 04 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt1
- ALTLinux build, translation update

